websocket-sharp WebSocketSharp.Server.WebSocketServerBase Provides the functions of the server that receives the WebSocket connection requests. The WebSocketServer class provides multi WebSocket service.
- Constructor
  Initializes a new instance of the WebSocketServer class.
  To be added.
- Constructor
  An that contains a port number.
  Initializes a new instance of the WebSocketServer class that listens for incoming connection attempts on the specified .
  To be added.
- Constructor
  A that contains a WebSocket URL.
  Initializes a new instance of the WebSocketServer class that listens for incoming connection attempts on the specified WebSocket URL.
  To be added.
- Constructor
  An that contains a port number.
  A that indicates providing a secure connection or not. (true indicates providing a secure connection.)
  Initializes a new instance of the WebSocketServer class that listens for incoming connection attempts on the specified and .
  To be added.
- Constructor
  An that contains an IP address.
  An that contains a port number.
  Initializes a new instance of the WebSocketServer class that listens for incoming connection attempts on the specified and .
  To be added.
- Constructor
  An that contains an IP address.
  An that contains a port number.
  A that indicates providing a secure connection or not. (true indicates providing a secure connection.)
  Initializes a new instance of the WebSocketServer class that listens for incoming connection attempts on the specified , and .
  To be added.
- Method
  System.Void `` A that contains the TCP connection. Accepts the WebSocket connection. To be added.
- Method
  System.Void DefaultConstructorConstraint WebSocketSharp.Server.WebSocketService `` The type of the WebSocket service. The T must inherit the class. A that contains an absolute path associated with the WebSocket service. Adds the WebSocket service. To be added.
- Method
  System.Void `` A to broadcast. Broadcasts the specified . To be added.
- Property
  System.Collections.Generic.IEnumerable<System.String> Gets the service paths. An IEnumerable<string> that contains the service paths. To be added.
- Method
  System.Void Stops receiving the WebSocket connection requests. To be added.
- Property
  System.Boolean Gets or sets a value indicating whether the server cleans up the inactive client. true if the server cleans up the inactive client; otherwise, false. To be added.